libzypp: zypp::ResTraits< ResObject > Struct Reference

libzypp 17.36.6

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
zypp::ResTraits< ResObject > Struct Reference

ResTraits specialisation for ResObject. More...

`#include <zypp/ResTraits.h>`

## Public Types
using | KindType = ResKind
using | PtrType = intrusive_ptr<ResObject>
using | constPtrType = intrusive_ptr<const ResObject>
using | KindType
using | PtrType
using | constPtrType

## Static Public Member Functions
static bool | isPseudoInstalled ()
| Those are denoted to be installed, if the solver verifies them as being satisfied.

## Static Public Attributes
static const ResKind kind | ZYPP_API
| Defined in ResKind.cc.

## Detailed Description

ResTraits specialisation for ResObject.

ResObject is common base and has no Kind value.

Definition at line 115 of file ResTraits.h.

## Member Typedef Documentation

## ◆ KindType [1/2]

using zypp::ResTraits< ResObject >::KindType = ResKind

Definition at line 117 of file ResTraits.h.

## ◆ PtrType [1/2]

using zypp::ResTraits< ResObject >::PtrType = intrusive_ptr<ResObject>

Definition at line 118 of file ResTraits.h.

## ◆ constPtrType [1/2]

using zypp::ResTraits< ResObject >::constPtrType = intrusive_ptr<const ResObject>

Definition at line 119 of file ResTraits.h.

## ◆ KindType [2/2]

using zypp::ResTraits< ResObject >::KindType

Definition at line 81 of file ResTraits.h.

## ◆ PtrType [2/2]

using zypp::ResTraits< ResObject >::PtrType

Definition at line 82 of file ResTraits.h.

## ◆ constPtrType [2/2]

using zypp::ResTraits< ResObject >::constPtrType

Definition at line 83 of file ResTraits.h.

## Member Function Documentation

## ◆ isPseudoInstalled()

static bool zypp::ResTraits< ResObject >::isPseudoInstalled | ( |  | ) |
| inlinestatic

Those are denoted to be installed, if the solver verifies them as being satisfied.

Definition at line 89 of file ResTraits.h.

## Member Data Documentation

## ◆ ZYPP_API

const ResKind kind zypp::ResTraits< ResObject >::ZYPP_API
| static

Defined in ResKind.cc.

Definition at line 85 of file ResTraits.h.

The documentation for this struct was generated from the following file:

- zypp/ResTraits.h